[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Xen-devel] [xen-unstable test] 26014: trouble: blocked/broken/pass



On Mon, 2014-04-28 at 08:48 +0100, Ian Campbell wrote:
> This has happened with both of the two kernel (3.12 and 3.13) which I've
> pulled from backports. It looks like we might need a newer version of
> depmod/modprobe et al. This is going to involve some poking to figure
> out...

It turns out to be much more mundane, when repacking the kernel for use
in the installer initrd we don't include all modules (would be huge) and
we weren't including the crypto modules, yet sd_mod.ko has grown a
dependency on them.

Since I think my current workaround is going to succeed I have not yet
pushed the following, but we should plan to do so at some point I think.
I have tested it successfully in my local environment.

(nb: I'm about to post a series adding some Debian tests which require
changes to mg-debian-installer-update -- that would be a good juncture
to do this update I think)

Ian.

8<--------

From 12c07a2cf2cd022e5f6b8f2e14c579ad99eeb15f Mon Sep 17 00:00:00 2001
From: Ian Campbell <ian.campbell@xxxxxxxxxx>
Date: Mon, 28 Apr 2014 10:18:38 +0100
Subject: [PATCH] mg-debian-installer-update: Updates for newer armhf kernels
 from backports.

In newer kernels sd_mod.ko requires crypto symbols, so include
kernel/crypto/*.ko in the installer overlay cpio.

Also prefer the newest versions of packages pulled in from backports, by
reversing the sort. Anchor the linux-image package name to we only pick up the
-armmp flavour and not -armmp-lpae (which is unnecessary in an installer
environment).

Signed-off-by: Ian Campbell <ian.campbell@xxxxxxxxxx>
---
 mg-debian-installer-update | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/mg-debian-installer-update b/mg-debian-installer-update
index 452a2ad..0398c60 100755
--- a/mg-debian-installer-update
+++ b/mg-debian-installer-update
@@ -93,7 +93,7 @@ if [ $arch = armhf ]; then
 
     # Newer kernel often needs a newer initramfs-tools. Make that available
     echo >&2 "collecting backports initramfs-tools"
-    pkgfile=`bzcat Packages.bz2 | grep-dctrl -PX initramfs-tools -nsFilename | 
sort -n | head -n1`
+    pkgfile=`bzcat Packages.bz2 | grep-dctrl -PX initramfs-tools -nsFilename | 
sort -n -r | head -n1`
     rc=$?
     set -e
     if [ $rc != 0 ]; then fail "initramfs-tools package not found"; fi
@@ -103,7 +103,7 @@ if [ $arch = armhf ]; then
     echo >&2 "collecting armmp kernel"
     # Be careful to pickup the actual kernel package from the 'linux'
     # source and not a meta package from 'linux-latest'
-    pkgfile=`bzcat Packages.bz2 | grep-dctrl -S linux | grep-dctrl -Pe 
linux-image-.*-armmp -nsFilename | sort -n | head -n1`
+    pkgfile=`bzcat Packages.bz2 | grep-dctrl -S linux | grep-dctrl -Pe 
^linux-image-.*-armmp$ -nsFilename | sort -n -r | head -n1`
     rc=$?
     set -e
     if [ $rc != 0 ]; then fail "armmp kernel package not found"; fi
@@ -117,6 +117,7 @@ if [ $arch = armhf ]; then
                    -o -type f -name modules.\* \
                    -o -type f -name \*.ko \
                       \( -path \*/kernel/lib/\* -o \
+                         -path \*/kernel/crypto/\* -o \
                          -path \*/kernel/fs/mbcache.ko -o \
                          -path \*/kernel/fs/ext\* -o \
                          -path \*/kernel/fs/jbd\* -o \
-- 
1.9.0




_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxx
http://lists.xen.org/xen-devel


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.